%    hsc.m callback for colorrgb.m
%    Copyright (C) 2001  Valery Beloshapkin
%
%    This program is free software; you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation; either version 2 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program; if not, write to the Free Software
%    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
%
%   e-mail adress of author:  bvv@tnp.krasn.ru 

function hsc
global hs1 hs2 hs3 ht1 ht2 ht3 hf
r=get(hs1,'value');
g=get(hs2,'value');
b=get(hs3,'value');
set(hf,'backgroundcolor',[r g b]);
set(ht1,'string',num2str(r));
set(ht2,'string',num2str(g));
set(ht3,'string',num2str(b));



